Kernel.org: 5.2.1
sid (unstable): 4.19.37-5
buster (testing): 4.19.37-5
stretch (stable): 4.9.168-1+deb9u3
jessie (oldstable): 3.16.68-2

Debian GNU/Linux device driver check & report

Compaq: Presario sr5110nx

PCI IDWorks?VendorDeviceDriverKernel
10de03eanVidia CorporationMCP61 Memory Controller
10de03e0nVidia CorporationMCP61 LPC Bridge
10de03ebYesnVidia CorporationMCP61 SMBusi2c-nforce2v2.6.25-
10de03f5nVidia CorporationMCP61 Memory Controller
10de03f1nVidia CorporationMCP61 USB Controller
10de03f2nVidia CorporationMCP61 USB Controller
10de03f3nVidia CorporationMCP61 PCI bridge
10de03f0YesnVidia CorporationMCP61 High Definition Audiosnd-hda-intel
10de03ecYesnVidia CorporationMCP61 IDEpata_amdv2.6.25-
10de03efYesnVidia CorporationMCP61 Ethernetforcedethv2.6.25-
10de03f6YesnVidia CorporationMCP61 SATA Controllersata_nvv2.6.25-
10de03e8nVidia CorporationMCP61 PCI Express bridge
10de03e9nVidia CorporationMCP61 PCI Express bridge
10de03e9nVidia CorporationMCP61 PCI Express bridge
10de03d0nVidia CorporationC61 [GeForce 6150SE nForce 430]
10221100Advanced Micro Devices [AMD]K8 [Athlon64/Opteron] HyperTransport Technology Configuration
10221101Advanced Micro Devices [AMD]K8 [Athlon64/Opteron] Address Map
10221102Advanced Micro Devices [AMD]K8 [Athlon64/Opteron] DRAM Controller
10221103YesAdvanced Micro Devices [AMD]K8 [Athlon64/Opteron] Miscellaneous Controlk8tempv2.6.25-
14f12f20Conexant Systems, Inc.HSF 56k Data/Fax Modem

I think that I have drivers for more than you give credit for, particularly my USB and nForce. I am able to use USB devices to problem, full 2.0 coverage as well. And... well, if my nForce 430 didn't have drivers, I probably wouldn't have sound/ethernet.